# $Revision: 1.12 $, $Date: 2010/07/08 08:34:13 $
%define 	module	pyPgSQL

Summary:	Python DB-API 2.0 PostgreSQL module
Summary(pl.UTF-8):	Moduł PostgreSQL dla Pythona zgodny z DB-API 2.0
Name:		python-%{module}
Version:	2.5.1
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pypgsql/%{module}-%{version}.tar.gz
# Source0-md5:	82670f6f1652aa4766fdaec2cb43debd
URL:		http://pypgsql.sourceforge.net/
BuildRequires:	postgresql-devel >= 7.0
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	postgresql-libs
%pyrequires_eq	python-modules
Requires:	python-mx-DateTime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyPgSQL is a package of two modules that provide a Python DB-API 2.0
compliant interface to PostgreSQL databases. The first module, libpq,
exports the PostgreSQL C API to Python. This module is written in C
and can be compiled into Python or can be dynamically loaded on
demand. The second module, PgSQL, provides the DB-API 2.0 compliant
interface and support for various PostgreSQL data types, such as INT8,
NUMERIC, MONEY, BOOL, ARRAYS, etc. This module is written in Python.

%description -l pl.UTF-8
pyPgSQL to pakiet dwóch modułów dostarczających zgodny z Python DB-API
2.0 interfejs do baz danych PostgreSQL. Pierwszy moduł, libpq,
eksportuje API C PostgreSQL-a do Pythona. Ten moduł jest napisany w C
i może być wkompilowany w Pythona lub ładowany dynamicznie na
żądanie. Drugi moduł, PgSQL, dostarcza zgodny z DB-API 2.0 interfejs
oraz wsparcie dla różnych typów danych PostgreSQL-a, takich jak INT8,
NUMERIC, MONEY, BOOL, ARRAYS itp. Ten moduł jest napisany w Pythonie.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitedir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Announce ChangeLog README examples/*.py
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/libpq
%{py_sitedir}/%{module}/libpq/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/libpq/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyPgSQL.spec,v $
Revision 1.12  2010/07/08 08:34:13  arekm
- release 3

Revision 1.11  2008/10/03 17:58:53  arekm
- release 2

Revision 1.10  2007-09-04 16:22:51  qboosh
- python 2.5 for .egg-info
- BR: rpm-pythonprov

Revision 1.9  2007/09/04 14:50:29  baggins
- up to 2.5.1

Revision 1.8  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.6  2006/12/20 13:29:02  hawk
- release 3 to rebuild with PostgreSQL 8.2

Revision 1.5  2004/12/24 13:42:24  troll
- rel 2 to rebuild with Python 2.4

Revision 1.4  2004/07/12 23:04:06  troll
- fixed BRs
- s/python/%%{__python}/
- description cosmetics
- release 1

Revision 1.3  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.2  2004/03/12 18:27:49  qboosh
- pl, longer description from URL

Revision 1.1  2004/03/12 15:04:45  wrobell
- based on python-psycopg
